#
# spec file for package pybliographer (Version 1.2.7)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gnome2-devel-packages libxml2 libxslt python python-bibtex python-devel python-gnome python-gtk recode scrollkeeper sgml-skel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel alsa alsa-devel atk atk-devel audiofile audiofile-devel autoconf automake binutils cairo cairo-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel glitz glitz-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gtk2 gtk2-devel libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libpixman libpixman-devel libpng libpng-devel libtool libwnck libwnck-devel libxml2 libxml2-devel libxslt mDNSResponder mDNSResponder-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel python python-bibtex python-devel python-gnome python-gtk recode resmgr rpm scrollkeeper sgml-skel update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         pybliographer
%define pyb_prefix   /opt/gnome
Summary:      A Tool for Bibliographic Databases
License:      GPL
Version:      1.2.7
Release:      0.1
Group:        Productivity/Publishing/Other
Source:       http://ftp1.sourceforge.net/sourceforge/pybliographer/pybliographer-%{version}.tar.gz
Patch0:       pybliographer-1.1.93-destdir.patch
Patch1:       pybliographer-1.2.1-check.patch
Patch2:       pybliographer-1.2.7.disable-pygtk.diff
Requires:     python-xml python-bibtex
Requires:     python-gtk python-orbit python-gnome
PreReq:       filesystem /usr/bin/touch
Provides:     pybliog
Obsoletes:    pybliog
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://pybliographer.org/

%description
Pybliographer is a tool for managing bibliographic databases. It
currently supports the following formats:

* BibTeX (quite complete)

* Medline (read-only)

* Ovid files (from ovid.com)

* Refer and EndNote (read only)

* SGML DocBook (write only)

Pybliographer can be used for searching, editing, reformatting, etc. In
fact, it's a simple framework that provides easy to use python classes
and functions, and therefore can be extended to any usage (generating
HTML pages according to bibliographic searches, etc).

In addition to the scripting environment, a graphical GNOME interface
is available. It provides powerful editing capabilities, in addition to
a nice hierarchical search mechanism.



Authors:
--------
    Frederic Gobry <frederic.gobry@epfl.ch>
    Herve Dreau <hdreau@cybercable.fr>
    Travis Oliphant <Oliphant.Travis@mayo.edu>

%debug_package
%prep
%setup -q
%patch0
%patch1 -p 1
%patch2 -p 1

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
autoreconf -f -i -I /opt/gnome/share/aclocal
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{pyb_prefix} --libdir=%{pyb_prefix}/%_lib
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# install -d $RPM_BUILD_ROOT%{pyb_prefix}/share/gnome/apps/Applications
# install -m644 *.desktop \
#   $RPM_BUILD_ROOT%{pyb_prefix}/share/gnome/apps/Applications
[ -d $RPM_BUILD_ROOT%{pyb_prefix}/share/locale/no ] && {
  install -d $RPM_BUILD_ROOT%{pyb_prefix}/share/locale/nb/LC_MESSAGES
  cp $RPM_BUILD_ROOT%{pyb_prefix}/share/locale/no/LC_MESSAGES/*.mo \
    $RPM_BUILD_ROOT%{pyb_prefix}/share/locale/nb/LC_MESSAGES
  rm -fr $RPM_BUILD_ROOT%{pyb_prefix}/share/locale/no
}
%suse_update_desktop_file  pybliographic Database

%post
touch var/adm/SuSEconfig/run-scrollkeeper-update

%postun
touch var/adm/SuSEconfig/run-scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{pyb_prefix}/bin/*
%{pyb_prefix}/share/applications/*.desktop
%{pyb_prefix}/share/locale/*/*/*.mo
%{pyb_prefix}/share/gnome/help/pybliographer
%{pyb_prefix}/share/mime-info/pybliographic.*
%dir %{pyb_prefix}/share/omf/pybliographer
%{pyb_prefix}/share/omf/pybliographer/pybliographer-C.omf
%{pyb_prefix}/share/pixmaps/pybliographic*
%{pyb_prefix}/share/pybliographer

%changelog -n pybliographer
* Mon Nov 29 2004 - ke@suse.de
- Update to version 1.2.5:
  * Fix use of translations in the interface.
  * Fix argument handling in pybliographic.
  * Use the new Gtk File selector.
  * Fixes to the Ovid parser.
  * Fixes and improvements to the synthetic fields.
  * Fix search of accented words.
* Fri Nov 26 2004 - ke@suse.de
- Also require python-xml at runtime; reported by Dieter Stark [#48557].
* Tue Nov 16 2004 - ke@suse.de
- Fix .desktop file.
* Tue Oct 19 2004 - ke@suse.de
- Rename 'no' locale directory to 'nb' [#27748].
* Tue Jul 20 2004 - ke@suse.de
- Update to version 1.2.4:
  * Fix in the ISI and Ovid parsers.
  * Add new tool: pybtext.
  * Fix native editing of a new entry.
  * Improve documentation and translations.
  * Fix history in Medline queries.
  * Add support for annotations.
  * Fix issue with empty crossrefs.
* Mon Jun 07 2004 - ke@suse.de
- Update to version 1.2.3:
  * Update translations.
  * Improve documentation.
  * Fix saving the sort order.
  * Configuration of the text widget to use for editing.
  * Configurable BibTeX date format.
  * Editing Crossrefs does not loose info anymore.
- Register .desktop file.
* Mon May 24 2004 - ke@suse.de
- Also require python-bibtex; reported by Eva Brucherseifer [#41019].
* Wed Mar 17 2004 - sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Tue Mar 16 2004 - mcihar@suse.cz
- gconf is now on place where expected, so patch for it is not needed
* Fri Jan 09 2004 - ke@suse.de
- Update to 1.2.2:
  * Update english documentation in Gnome format.
  * Additional shortcuts.
  * Update translations.
  * Medline queries return URLs to the paper.
  * Various bug fixes.
* Thu Nov 20 2003 - ke@suse.de
- Update to 1.2.1:
  * Update translations (fr, it, nl, pt, sr).
  * Localization of the GUI.
  * Clickable URLs.
  * Various bug fixes (Configuration dialogs, crash on document history,
  etc.).
- Add python-orbit to Requires.
* Wed Oct 22 2003 - mcihar@suse.cz
- updated to 1.1.93 (Gtk/Gnome 2 version)
- no root for build
- spec file cleanup
* Thu Aug 28 2003 - mcihar@suse.cz
- explicitely require pygtk 1.2
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 27 2003 - mcihar@suse.cz
- DEFS won't be defined anymore in pythons Makefile.pre.in so we
  have to define it in spec file (see python's patch #736417)
* Tue May 06 2003 - mcihar@suse.cz
- fixed all broken paths to python binary from previous change
- fixed build with current python-gtk
* Thu Apr 10 2003 - mcihar@suse.cz
- now uses build root
- corrected configure.in to use system aclocal macros
* Mon Mar 10 2003 - sf@suse.de
- fixes for lib64
* Wed Jan 22 2003 - ro@suse.de
- replaced gnome-python by python-gnome in Requires
* Wed Nov 27 2002 - ro@suse.de
- replace gnome-python by python-gnome in neededforbuild
* Thu Oct 31 2002 - ke@suse.de
- Update to version 1.0.11; from NEWS:
  * Improve Medline Search engine
  * Add incremental search capability
  * Small UI improvements
  * Small fixes in the BibTeX and ISI format
- pybliographer-configure.diff: Disable recode check; recode is fixed by
  now [# 11503].
- Remove obsolete medline patch.
* Fri Feb 15 2002 - ke@suse.de
- Fix Requires: entry to make it more obvious which package the user is
  considered to install: s/python-gnome/gnome-python/ [# 13273].
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Dec 17 2001 - ke@suse.de
- Apply pybliographer-medline.patch provided by Frederic Gobry to allow
  save in Medline format.
* Mon Dec 10 2001 - ke@suse.de
- Update to version 1.0.10:
- Add direct Medline Query Interface.
- Add formatting style for APA (4th edition).
- Miscellanous bug fixes (pybliographer-shared-libs.diff is
  obsolete).
- .spec file: Call suse_update_config.
* Mon Oct 15 2001 - ke@suse.de
- Don't use BuildRoot.  Python compiles the installed .py files (->
  .pyc) puts the name of installation directory into the .pyc files;
  this fixes #11503 in part.
* Fri Jun 29 2001 - ke@suse.de
- Update to version 1.0.9.
- Move patch link patch by schwab (2001-04-09) to file
  pybliographer-shared-libs.diff; drop the other patches.
* Mon Apr 09 2001 - schwab@suse.de
- Fixed to not try to link non-pic objects in shared lib.
- Fix toplevel makefile to use $(Python) from configure.
* Wed Mar 14 2001 - ro@suse.de
- added xf86 to neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- neededforbuild python-gnome to gnome-python
* Wed Feb 21 2001 - ke@suse.de
- Update to version 1.0.8.
* Wed Feb 21 2001 - ke@suse.de
- Add Provides: and Obsoletes: (fix).
* Wed Jan 10 2001 - ke@suse.de
- Fix shell magic string to avoid wrong deps requirements (reported by
  Thorsten Kukuk).
* Mon Nov 27 2000 - egger@suse.de
- Simplified specfile.
- Updated to 1.0.7.
- Fixed #neededforbuild.
- Added python-gtk and python-gnome to the requirements.
* Thu Nov 23 2000 - ke@suse.de
- Fix neededforbuid: python-gnome and python-gtk.
* Wed Nov 15 2000 - ke@suse.de
- Update to version 1.0.6
- Add recode-devel t0 neededforbuild.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 30 2000 - kukuk@suse.de
- Add python-devel to neededforbuild
* Thu Oct 12 2000 - ke@suse.de
- update to version 1.0.5.
- add URL tag.
* Mon Aug 14 2000 - ke@suse.de
- update to version 1.0.4.
* Tue Jun 06 2000 - ke@suse.de
- update to version 1.0.1.
* Thu May 18 2000 - ke@suse.de
- update to version 1.0.0.
- add %%defattr to the files list.
* Tue Apr 18 2000 - ke@suse.de
- update to version 0.9.11.
* Thu Apr 13 2000 - ke@suse.de
- initial package: version 0.9.9.
